function par = tunings(par,structure,CVtransform)
par.p(9) = structure;
if CVtransform
    par.p(8)=1;
end

switch structure
    case 1
        par.v0 = par.xAF0 * par.F0/par.E0;
    case 2
        par.v0 = 1/(1+par.K) * (par.F0-par.R0)/par.E0;
    case 3
        par.v0 = 1/(1+par.K) * (par.F0-par.R0)/(par.F0-par.R0+par.S0);  
    case 4
        par.v0 = 0; %v_FL1
    case 5
        par.v0 = 0; %v_FL2
    case 6
        par.v0 = 0; %v_FL3
    case 7
        par.v0 = par.xAF0 * par.F0/par.ME0;
    case 8 
        par.v0 = 1/(1+par.K)*(par.F0-par.R0)/par.ME0;
    case 9
        par.v0 = par.xAF0 * par.F0/par.ME0; %v_L1
    case 10
        par.v0 = 1/(1+par.K)*(par.F0-par.R0)/par.ME0;%v_L2
    case 11 
        par.v0 = 0;  %v_L2
end 
end